using System;
using System.Data;
using System.Data.Odbc;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class LoginQueryManager : OdbcQueryManager
{
	public LoginQueryManager( string odbcConnectionStringName ) : base( odbcConnectionStringName )
	{
	}

    public string GetUserIdAndRole( string username, string password )
    {
        command = new OdbcCommand( "SELECT alumni.osoba.id, alumni.osoba.konto, alumni.osoba.heslo, alumni.typ_osoby.typ" +
                " FROM ( alumni.osoba INNER JOIN alumni.typ_osoby ON ( alumni.osoba.typ_osoby_id = alumni.typ_osoby.id ) )" +
                " WHERE alumni.osoba.konto = ?", connection );

        command.Parameters.Add("@alumni.osoba.konto", OdbcType.VarChar, 20).Value = username;

        int id = 0;
        string account = string.Empty;
        string passwordHash = string.Empty;
        string role = string.Empty;

        try
        {
            connection.Open();
            dataReader = command.ExecuteReader();

            if ( !dataReader.Read() ) 
            {
                dataReader.Close();
                connection.Close();
                return string.Empty;
            }
            
            id = dataReader.GetInt32(0);
            account = dataReader.GetString(1);
            passwordHash = dataReader.GetString(2);
            role = dataReader.GetString(3);
        }
        catch ( OdbcException ex )
        {
            throw ex;
        }
        finally
        {
            dataReader.Close();
            connection.Close();
        }

        if( CryptoManager.VerifyHash( password, "SHA512", passwordHash ) ) return id.ToString() + "|" + role;
        else return string.Empty;
    }
}
