using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;
using AjaxControlToolkit;
using AjaxControlToolkit.Design;
using AjaxControlToolkit.MaskedEditValidatorCompatibility;


public partial class Approve : System.Web.UI.Page
{
    int id;

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            id = Convert.ToInt32( Request["RegistrationId"] );
        }
        catch( FormatException )
        {
            id = 0;
        }

        if (id != 0) Approve_SqlDataSouce.SelectCommand = "SELECT alumni.registracia.*, alumni.typ_registracie.*" +
                " FROM ( alumni.registracia INNER JOIN alumni.typ_registracie ON ( alumni.registracia.typ_registracie_id = alumni.typ_registracie.id ) )" +
                " WHERE alumni.registracia.id = " + id.ToString();
    }

    protected void Approve_Button_Click(object sender, EventArgs e)
    {
        TextBox loginTextBox = ((TextBox)Approve_DetailsView.FindControl("Login_TextBox"));
        Label errorLabel = ((Label)Approve_DetailsView.FindControl("Error_Label"));
        Label sucessLabel = ((Label)Approve_DetailsView.FindControl("Success_Label"));
        DropDownList roleDropDownList = ((DropDownList)Approve_DetailsView.FindControl("Role_DropDownList"));

        errorLabel.Visible = false;
        sucessLabel.Visible = false;

        if (!Page.IsValid)
        {
            errorLabel.Text = "Nesprvny formt prihlasovacieho mena alebo nie je zadan!";
            errorLabel.Visible = true;

            return;
        }

        RegisterQueryManager registerQueryManager = new RegisterQueryManager("OdbcString");
        string error = registerQueryManager.InsertUser(id, loginTextBox.Text, Convert.ToInt32(roleDropDownList.SelectedValue));

        if (error != string.Empty)
        {
            errorLabel.Text = error;
            errorLabel.Visible = true;
        }
        else
        {
            registerQueryManager.DeleteRegistration(id);

            sucessLabel.Text = "Poiadavka o registrciu bola potrvden";
            sucessLabel.Visible = true;
        }
    }

    protected void Discard_Button_Click(object sender, EventArgs e)
    {
        Label errorLabel = ((Label)Approve_DetailsView.FindControl("Error_Label"));
        Label sucessLabel = ((Label)Approve_DetailsView.FindControl("Success_Label"));

        errorLabel.Visible = false;
        sucessLabel.Visible = false;

        RegisterQueryManager registerQueryManager = new RegisterQueryManager("OdbcString"); 

        if( registerQueryManager.DeleteRegistration( id ) )
        {
            sucessLabel.Text = "Poiadavka o registrciu bola zmazan";
            sucessLabel.Visible = true;
        }
        else
        {
            errorLabel.Text = "Poiadavka o registrciu u neexistuje";
            errorLabel.Visible = true;
        }
    }
    protected void Recover_Button_Click(object sender, EventArgs e)
    {
        TextBox loginTextBox = ((TextBox)Approve_DetailsView.FindControl("Login_TextBox"));
        Label errorLabel = ((Label)Approve_DetailsView.FindControl("Error_Label"));
        Label sucessLabel = ((Label)Approve_DetailsView.FindControl("Success_Label"));
        DropDownList roleDropDownList = ((DropDownList)Approve_DetailsView.FindControl("Role_DropDownList"));

        errorLabel.Visible = false;
        sucessLabel.Visible = false;

        if ( !Page.IsValid )
        {
            errorLabel.Text = "Nesprvny formt prihlasovacieho mena alebo nie je zadan!";
            errorLabel.Visible = true;

            return;
        }

        RegisterQueryManager registerQueryManager = new RegisterQueryManager("OdbcString");
        string error = registerQueryManager.UpdateUser( id, loginTextBox.Text );

        if ( error != string.Empty )
        {
            errorLabel.Text = error;
            errorLabel.Visible = true;
        }
        else
        {
            registerQueryManager.DeleteRegistration( id );

            sucessLabel.Text = "Obnovenie tu bolo spen";
            sucessLabel.Visible = true;
        }
    }
}
