<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Jobs.ascx.cs" Inherits="Jobs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<table cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="Sector_L" runat="server" Text="Odvetvie"></asp:Label>
        </td>
        <td style="width: 270px">
            <asp:DropDownList ID="Sector_DDL" runat="server" CssClass="DropDownList" 
                AutoPostBack="true" OnSelectedIndexChanged="SectorDDL_IndexChanged"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="CompanyPosition_L" runat="server" Text="Pracovn pozcia"></asp:Label></td>
        <td style="width: 270px">
            <asp:DropDownList ID="CompanyPosition_DDL" runat="server" CssClass="DropDownList" ></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="DateFrom_L" runat="server" Text="Dtum od"></asp:Label></td>
        <td style="width: 270px">
            <asp:TextBox ID="DateFrom_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="DateFrom_RQVal" runat="server" ControlToValidate="DateFrom_T" Display="none" ValidationGroup="VG_Jobs"/>
            <cc1:ValidatorCalloutExtender ID="DateFrom_RQVal_ext" runat="server" TargetControlID="DateFrom_RQVal" HighlightCssClass="Validator" />
            <asp:RegularExpressionValidator ID="DateFrom_REGVal" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="DateFrom_T" ValidationGroup="VG_Jobs" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" >?</asp:RegularExpressionValidator>
            <cc1:ValidatorCalloutExtender ID="DateFrom_REGVal_ext" runat="server" TargetControlID="DateFrom_REGVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="DateTo_L" runat="server" Text="Dtum do"></asp:Label>
        </td>
        <td style="width: 270px">
            <asp:TextBox ID="DateTo_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RegularExpressionValidator ID="DateTo_REGVal" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="DateTo_T" ValidationGroup="VG_Jobs" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" >?</asp:RegularExpressionValidator>
            <cc1:ValidatorCalloutExtender ID="DateTo_REGVal_ext" runat="server" TargetControlID="DateTo_REGVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="CompanyName_L" runat="server" Text="Nzov firmy"></asp:Label>
        </td>
        <td style="width: 270px">
            <asp:TextBox ID="CompanyName_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="CompanyName_RQVal" runat="server" ControlToValidate="CompanyName_T" Display="none" ValidationGroup="VG_Jobs"/>
            <cc1:ValidatorCalloutExtender ID="CompanyName_RQVal_ext" runat="server" TargetControlID="CompanyName_RQVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="Comment_L" runat="server" Text="Poznmka"></asp:Label>
        </td>
        <td style="width: 270px">
            <textarea id="Comment_TA" runat="server" rows="3" class="TextBox" ></textarea>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Button ID="Add_B" CssClass="Page_Button" runat="server" Text="Pridaj zznam" Width="100px" OnClick="Add_Button_Click" ValidationGroup="VG_Jobs" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Label ID="Message_L" runat="server" BackColor="lightgreen"></asp:Label>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="Jobs_GridView" runat="server" AllowPaging="True" AllowSorting="True" 
                DataSourceID="Jobs_SqlDataSource" AutoGenerateColumns="False" PageSize="5" 
                CssClass="GridView" OnRowCommand="Jobs_GridView_RowCommand" DataKeyNames="id">
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="ID" SortExpression="id" >
                        <ItemStyle Width="30px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="nazov_firmy" HeaderText="Odvetvie" SortExpression="nazov_firmy" >
                        <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="pozicia" HeaderText="Pozcia" SortExpression="nazov_firmy" >
                        <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:ButtonField ButtonType="button" CommandName="Select_Row" Text="Vyber" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                    <asp:ButtonField ButtonType="Button" CommandName="Delete_Row" Text="Vyma" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                </Columns>
                <PagerStyle CssClass="DataControl_footer" />
                <HeaderStyle CssClass="DataControl_header" />
                <RowStyle BackColor="#EFF3FB" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
            <asp:SqlDataSource ID="Jobs_SqlDataSource" runat="server" ConnectionString="Dsn=alumni"
                ProviderName="System.Data.Odbc" SelectCommand="SELECT * FROM (alumni.pracovny_pomer INNER JOIN alumni.pozicia_odvetvie ON (alumni.pracovny_pomer.pozicia_odvetvie_id = alumni.pozicia_odvetvie.id)) ">
            </asp:SqlDataSource>
        </td>
    </tr>
    
</table>