using System;
using System.Data;
using System.Data.Odbc;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Jobs : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) 
        {
            ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");
            professionQueryManager.GetDDLDataSource("SELECT * from alumni.odvetvie", this.Sector_DDL);
            professionQueryManager.GetDDLDataSource("SELECT * from alumni.pozicia_odvetvie WHERE odvetvie_id = 1", this.CompanyPosition_DDL);

            this.DateFrom_RQVal.ErrorMessage = "Pole 'Dtum od' je povinn !";
            this.CompanyName_RQVal.ErrorMessage = "Pole 'Nzov firmy' je povinn !";
        }

        this.Message_L.Visible = false;
    }

    protected void Jobs_GridView_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        if (e.CommandName == "Select_Row")
        {
            int id = Convert.ToInt32(Jobs_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);
            string selectionString = "SELECT * FROM (alumni.pracovny_pomer INNER JOIN alumni.pozicia_odvetvie ON (alumni.pracovny_pomer.pozicia_odvetvie_id = alumni.pozicia_odvetvie.id)) WHERE alumni.pracovny_pomer.id = " + id;

            System.Collections.ArrayList al = professionQueryManager.SelectFromDatabase(selectionString);

            if (al != null)
            {
                this.Sector_DDL.SelectedValue = al[10].ToString();
                professionQueryManager.GetDDLDataSource("SELECT * from alumni.pozicia_odvetvie WHERE odvetvie_id = " + this.Sector_DDL.SelectedValue, this.CompanyPosition_DDL);
                this.CompanyPosition_DDL.SelectedValue = al[2].ToString();
                this.DateFrom_T.Text = Convert.ToDateTime(al[3]).ToShortDateString();
                this.DateTo_T.Text = Convert.ToDateTime(al[4]).ToShortDateString();
                this.CompanyName_T.Text = al[5].ToString();
                this.Comment_TA.Value = al[6].ToString();
            }

            selectionString = "SELECT * FROM alumni.pracovny_pomer WHERE id = " + Convert.ToInt32(al[2].ToString());
            al = professionQueryManager.SelectFromDatabase(selectionString);
        }
        else if (e.CommandName == "Delete_Row") 
        {
            int id = Convert.ToInt32(Jobs_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);

            string deletionString = "DELETE FROM alumni.pracovny_pomer WHERE id = " + id;
            professionQueryManager.SelectFromDatabase(deletionString);

            this.Jobs_GridView.DataBind();

            this.Message_L.Text = "Zznam bol spene vymazan.";
            this.Message_L.Visible = true;
        }
    }

    protected void Add_Button_Click(object sender, EventArgs e) 
    {
        int osoba_id = ((CustomPrincipal)this.Page.User).Id;
        int odvetvie = Convert.ToInt32(this.Sector_DDL.SelectedValue);
        string pozicia = this.CompanyPosition_DDL.SelectedItem.Text;
        DateTime datum_od = DateTime.Parse(this.DateFrom_T.Text);
        DateTime datum_do = DateTime.Parse(this.DateTo_T.Text);
        string nazov = this.CompanyName_T.Text;
        string pozn = this.Comment_TA.Value;

        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        bool status = professionQueryManager.InsertJob(osoba_id, pozicia, odvetvie, datum_od, datum_do, nazov, pozn, 1);

        if (status) 
        {
            this.Jobs_GridView.DataBind();
            this.Message_L.Text = "Zznam bol spene pridan.";
            this.Message_L.Visible = true;
        }
    }

    protected void SectorDDL_IndexChanged(object sender, EventArgs e)
    {
        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");
        string selectionString = "SELECT * from alumni.pozicia_odvetvie WHERE odvetvie_id = " + Sector_DDL.SelectedValue;
        
        professionQueryManager.GetDDLDataSource(selectionString, this.CompanyPosition_DDL);        
        
    }
}
