using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Form.DefaultFocus = Login_TextBox.ClientID;
        Page.Form.DefaultButton = Login_Button.UniqueID;

        Login_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Login_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Password_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Password_RequiredFieldValidator.Display = ValidatorDisplay.None;
    }

    protected void Login_Button_Click(object sender, EventArgs e)
    {
        if ( !Page.IsValid )
        {
            Login_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Login_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Password_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Password_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;

            Error_Label.Text = "Prihlasovac formulr nie je vyplnen sprvne!";
            Error_Label.Visible = true;

            return;
        }

        string username = Login_TextBox.Text;
        string password = Password_Textbox.Text;

        LoginQueryManager loginQueryManager = new LoginQueryManager("OdbcString");
        string userData = loginQueryManager.GetUserIdAndRole( username, password );

        if ( userData != string.Empty )
        {
            FormsAuthenticationTicket authTicket = new FormsAuthenticationTicket( 1, username, DateTime.Now, DateTime.Now.AddMinutes(15), false, userData );
            string encryptedTicket = FormsAuthentication.Encrypt( authTicket );
            HttpCookie authCookie = new HttpCookie( FormsAuthentication.FormsCookieName, encryptedTicket );
            Response.Cookies.Add( authCookie );
            string redirectUrl = FormsAuthentication.GetRedirectUrl( username, false);
            Response.Redirect( redirectUrl );
        }
        else
        {
            Error_Label.Text = "Nesprvne meno alebo heslo!";
            Error_Label.Visible = true;
        }
    }
}
