using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;

public partial class NewProject : System.Web.UI.Page
{
    int id;

    protected void Page_Load(object sender, EventArgs e)
    {
        id = 0;
        Error_Label.Visible = false;
        Succes_Label.Visible = false;
        Page.Form.DefaultFocus = Caption_TextBox.ClientID;
        Page.Form.DefaultButton = Add_Button.UniqueID;

        Caption_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Caption_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Leader_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Date_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Date_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Keywords_RequiredFieldValidator.Display = ValidatorDisplay.None;

        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            id = ((CustomPrincipal)User).Id;
        }
    }

    protected void Add_Button_Click(object sender, EventArgs e)
    {
        if (!Page.IsValid)
        {
            Caption_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Caption_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Leader_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Date_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Date_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Keywords_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            
            Error_Label.Text = "Registran formulr nie je vyplnen sprvne!";
            Error_Label.Visible = true;

            return;
        }

        if (id == 0)
        {
            Error_Label.Text = "Nie ste prihlasen!";
            Error_Label.Visible = true;

            return;
        }


        string caption = Caption_TextBox.Text;
        string leader = Leader_TextBox.Text;
        string target = Target_TextBox.Text;
        string abstrakt = Abstract_TextBox.Text;
        string keywords = Keywords_TextBox.Text;
        string note = Note_TextBox.Text;
        DateTime date = DateTime.Parse(Date_TextBox.Text);

        ProjectsQueryManager projectsQueryManager = new ProjectsQueryManager("OdbcString");

        projectsQueryManager.InsertProject(id, caption, leader, target, abstrakt, keywords, date, note);
        Succes_Label.Visible = true;

        Response.Redirect("Projects.aspx");
    }
}
