using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Projects : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Session["id"] = 0;
        //Session["id_projektu"] = -1;
        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            Session["id"] = ((CustomPrincipal)User).Id;
        }

        int id = Convert.ToInt32(Session["id"].ToString());

        if (id != 0) Projects_SqlDataSource.SelectCommand = "SELECT id, nazov, veduci, www_odkaz FROM alumni.projekt WHERE osoba_id = '" + id.ToString() + "'";
    }

    protected void Projects_GridView_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Select_Row")
        {
            Session["id_projektu"] = Convert.ToInt32(Projects_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);

            int id_projektu = Convert.ToInt32(Session["id_projektu"].ToString());

            ProjectsQueryManager projectsQueryManager = new ProjectsQueryManager("OdbcString");
            Abstract_TextBox.Text = projectsQueryManager.GetAbstract(id_projektu);
            Keywords_TextBox.Text = projectsQueryManager.GetKeyWords(id_projektu);
            Note_TextBox.Text = projectsQueryManager.GetNote(id_projektu);
            Projects_GridView.SelectedIndex = Convert.ToInt32(e.CommandArgument);

            Abstract.Visible = true;
            Abstract_TextBox.Visible = true;
            Keywords.Visible = true;
            Keywords_TextBox.Visible = true;
            Note.Visible = true;
            Note_TextBox.Visible = true;

            Vymazat_Button.Visible = true;
            Zmenit_Button.Visible = false;
        }
    }

    protected void Projects_GridView_SelectedIndexChanged(object sender, EventArgs e)
    {
        GridViewRow row = Projects_GridView.SelectedRow;

        Abstract_TextBox.Text = row.Cells[1].Text;
    }

    protected void PridatNovy_Button_Click(object sender, EventArgs e)
    {
        Response.Redirect("NewProject.aspx");
    }

    protected void Vymazat_Button_Click(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(Session["id"].ToString());
        int id_projektu = Convert.ToInt32(Session["id_projektu"].ToString());
        
        if (id_projektu == -1)
            return;

        ProjectsQueryManager projectsQueryManager = new ProjectsQueryManager("OdbcString");
        projectsQueryManager.DeleteProject(id, id_projektu);

        Session["id_projektu"] = -1;
        Vymazat_Button.Visible = false;
        Zmenit_Button.Visible = false;

        Abstract_TextBox.Visible = false;
        Keywords_TextBox.Visible = false;
        Note_TextBox.Visible = false;

        Response.Redirect("Projects.aspx");
    }
    protected void Zmenit_Button_Click(object sender, EventArgs e)
    {

    }
}
