﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Register.aspx.cs" Inherits="Register" Title="Alumni" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Page_Content" ContentPlaceHolderID="Page_ContentPlaceHolder" Runat="Server">
    <table id="Register_Table">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Email_Label" runat="server" Text="Email"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Email_TextBox" runat="server" CssClass="Register_Field"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Email_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny formát emailu" ControlToValidate="Email_TextBox" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" Display="None" ToolTip="Nesprávny formát emailu">?</asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="Email_RequiredFieldValidator" runat="server" ControlToValidate="Email_TextBox"
                    ErrorMessage="Nie je zadaný email" Display="None" ToolTip="Nie je zadaný email">?</asp:RequiredFieldValidator>     
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Password_Label" runat="server" Text="Heslo"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Password_TextBox" runat="server" CssClass="Register_Field" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Password_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny formát hesla" ControlToValidate="Password_TextBox" Display="None" ValidationExpression="[a-zA-Z0-9]{5,32}" ValidationGroup="Nesprávny formát hesla">?</asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="Password_RequiredFieldValidator" runat="server" ControlToValidate="Password_TextBox"
                    ErrorMessage="Nie je zadané heslo" Display="None" ToolTip="Nie je zadané heslo">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Retyped_Label" runat="server" Text="Zopakovať heslo"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Retyped_TextBox" runat="server" CssClass="Register_Field" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:CompareValidator ID="Retyped_CompareValidator" runat="server" ControlToCompare="Password_TextBox" ControlToValidate="Retyped_TextBox" ErrorMessage="Heslo sa nezhoduje s pôvodným heslom" Display="None" ToolTip="Heslo sa nezhoduje s pôvodným heslom">?</asp:CompareValidator>
                <asp:RequiredFieldValidator ID="Retyped_RequiredFieldValidator" runat="server" ControlToValidate="Retyped_TextBox"
                    ErrorMessage="Nie je zadané heslo pre overenie" ToolTip="Nie je zadané heslo pre overenie" Display="None">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Firstname_Label" runat="server" Text="Meno"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Firstname_TextBox" runat="server" CssClass="Register_Field"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Firstname_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny formát mena" ControlToValidate="Firstname_TextBox" Display="None" ValidationExpression="[a-zA-Z\u0041-\u017F]{2,20}" ToolTip="Nesprávny formát mena">?</asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="Firstname_RequiredFieldValidator" runat="server"
                    ControlToValidate="Firstname_TextBox" ErrorMessage="Nie je zadané meno" Display="None" ToolTip="Nie je zadané meno">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Surename_Label" runat="server" Text="Priezvisko"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Surename_TextBox" runat="server" CssClass="Register_Field"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Surename_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny formát priezviska" ControlToValidate="Surename_TextBox" Display="None" ValidationExpression="[a-zA-Z\u0041-\u017F]{2,20}" ToolTip="Nesprávny formát priezviska">?</asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="Surename_RequiredFieldValidator" runat="server" ControlToValidate="Surename_TextBox"
                    ErrorMessage="Nie je zadané priezvisko" Display="None" ToolTip="Nie je zadané priezvisko">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Birthday_Label" runat="server" Text="Dátum narodenia"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Birthday_TextBox" runat="server" CssClass="Register_Field"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Birthday_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny dátum alebo formát dátumu" ControlToValidate="Birthday_TextBox" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" ToolTip="Nesprávny dátum alebo formát dátumu">?</asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="Birthday_RequiredFieldValidator" runat="server" ControlToValidate="Birthday_TextBox"
                    ErrorMessage="Nie je zadaný dátum narodenia" Display="None" ToolTip="Nie je zadaný dátum narodenia">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Graduated_Label" runat="server" Text="Rok absolvovania"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Graduated_TextBox" runat="server" CssClass="Register_Field"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Graduated_RegularExpressionValidator" runat="server" 
                    ErrorMessage="Nesprávny formát roku absolvovania" ControlToValidate="Graduated_TextBox" Display="None" ValidationExpression="[1-2]{1}\d{3}" ToolTip="Nesprávny formát roku absolvovania">?</asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                Typ registrácie</td>
            <td style="width: 270px">
                <asp:DropDownList ID="Type_DropDownList" runat="server" DataSourceID="Type_SqlDataSource"
                    DataTextField="typ" DataValueField="id" Width="267px">
                </asp:DropDownList></td>
            <td style="width: 37px">
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <asp:Label ID="Succes_Label" runat="server" ForeColor="Green" Text="Požiadavka o registráciu bola odoslaná"
                    Visible="False"></asp:Label>
                <asp:Label ID="Error_Label" runat="server" ForeColor="Red"
                    Visible="False"></asp:Label></td>
            <td style="width: 37px">
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <asp:Button ID="Register_Button" runat="server" CssClass="Page_Button" Text="Zaregistrovať" OnClick="Register_Button_Click" />
            </td>
            <td align="center" colspan="1" style="width: 37px">
            </td>
        </tr>
    </table>
    <cc1:ValidatorCalloutExtender ID="Email_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Email_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Email_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Email_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Password_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Password_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Password_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Password_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Retyped_CV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Retyped_CompareValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Retyped_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Retyped_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Firstname_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Firstname_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Firstname_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Firstname_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Surename_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Surename_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Surename_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Surename_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Birthday_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Birthday_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Birthday_RFV_ValidatorCalloutExtender" runat="server" TargetControlID="Birthday_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Graduated_REV_ValidatorCalloutExtender" runat="server" TargetControlID="Graduated_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <asp:SqlDataSource ID="Type_SqlDataSource" runat="server" ConnectionString="DSN=alumni"
        ProviderName="System.Data.Odbc" SelectCommand="SELECT alumni.typ_registracie.* FROM alumni.typ_registracie">
    </asp:SqlDataSource>
</asp:Content>

