using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;
using AjaxControlToolkit;
using AjaxControlToolkit.Design;
using AjaxControlToolkit.MaskedEditValidatorCompatibility;

public partial class Register : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Form.DefaultFocus = Email_TextBox.ClientID;
        Page.Form.DefaultButton = Register_Button.UniqueID;

        Email_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Email_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Password_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Password_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Retyped_CompareValidator.Display = ValidatorDisplay.None;
        Retyped_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Firstname_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Firstname_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Surename_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Surename_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Birthday_RegularExpressionValidator.Display = ValidatorDisplay.None;
        Birthday_RequiredFieldValidator.Display = ValidatorDisplay.None;
        Graduated_RegularExpressionValidator.Display = ValidatorDisplay.None;
    }
    protected void Register_Button_Click(object sender, EventArgs e)
    {
        if ( !Page.IsValid )
        {
            Email_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Email_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Password_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Password_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Retyped_CompareValidator.Display = ValidatorDisplay.Dynamic;
            Retyped_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Firstname_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Firstname_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Surename_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Surename_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Birthday_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;
            Birthday_RequiredFieldValidator.Display = ValidatorDisplay.Dynamic;
            Graduated_RegularExpressionValidator.Display = ValidatorDisplay.Dynamic;

            Error_Label.Text = "Registran formulr nie je vyplnen sprvne!";
            Error_Label.Visible = true;

            return;
        }

        string password = Password_TextBox.Text; 
        string email = Email_TextBox.Text; 
        string fisrtname = Firstname_TextBox.Text;
        string surename = Surename_TextBox.Text;
        DateTime birthday = DateTime.Parse( Birthday_TextBox.Text );
        int graduated = Convert.ToInt32( Graduated_TextBox.Text );

        RegisterQueryManager registrationQueryManager = new RegisterQueryManager("OdbcString");
        
        if( registrationQueryManager.RegistrationExists( email ) ) 
        {
            Error_Label.Text = "Registrcia pre tento email u existuje!";
            Error_Label.Visible = true;
        }
        else 
        {
            registrationQueryManager.InsertRegistration( password, email, fisrtname, surename, birthday, graduated, Convert.ToInt32( Type_DropDownList.SelectedValue ) );
            Succes_Label.Visible = true;
        }
    }
}
